diff --git a/fw/t/unit/test_http2_parser.c b/fw/t/unit/test_http2_parser.c
index a6450fea3..6b9d1cbc4 100644
--- a/fw/t/unit/test_http2_parser.c
+++ b/fw/t/unit/test_http2_parser.c
@@ -2468,7 +2468,7 @@ TEST(http2_parser, vchar)
 		HEADER(WO_IND(NAME(":method"), VALUE("GET")));			\
 		HEADER(WO_IND(NAME(":scheme"), VALUE("https")));		\
 		HEADER(WO_IND(NAME(":path"), VALUE("/")));			\
-		HEADER(WO_IND(NAME(header), VALUE(RAW("\x00"))));		\
+		HEADER(WO_IND(NAME(header), VALUE_RAW("\x00")));		\
 	    HEADERS_FRAME_END();						\
 	)
 
diff --git a/fw/t/unit/test_http_parser_common.h b/fw/t/unit/test_http_parser_common.h
index 8fb66a44e..85ec6a67d 100644
--- a/fw/t/unit/test_http_parser_common.h
+++ b/fw/t/unit/test_http_parser_common.h
@@ -162,7 +162,7 @@ static unsigned int frame_sz __attribute__((unused)) = 0;
 
 static
 void __attribute__((unused))
-__write_to_frame_RAW(char *data, size_t size)
+write_to_frame_DATA(char *data, size_t size)
 {
 	TfwHPackInt hpint;
 	write_int(size, 0x7F, 0, &hpint);
@@ -171,30 +171,15 @@ __write_to_frame_RAW(char *data, size_t size)
 	frame_buf += hpint.sz + size;
 }
 
-static
-void __attribute__((unused))
-__write_to_frame_STR(char *data)
-{
-	__write_to_frame_RAW(data, strlen(data));
-}
-
-/**
- * Macros VALUE and RAW are linked.
- * The VALUE uses __write_to_frame_STR as default behavior.
- * If we want to declare VALUE not as a null-terminated string,
- * but as a set of raw bytes, then we can write VALUE(RAW(...)).
- */
-#define VALUE(str_or_write_raw)							\
-do {										\
-	__write_to_frame_STR(str_or_write_raw);					\
-} while (0)
+#define VALUE(str) \
+	write_to_frame_DATA(str, strlen(str))
 
-#define RAW(data) \
-	({ __write_to_frame_RAW(data, sizeof(data)); break; "unreachable code"; })
+#define VALUE_RAW(data) \
+	write_to_frame_DATA(data, sizeof(data))
 
 static
 void __attribute__((unused))
-__write_to_frame_INDEX(unsigned long index,
+write_to_frame_INDEX(unsigned long index,
 		       unsigned short max,
 		       unsigned short mask)
 {
@@ -205,7 +190,7 @@ __write_to_frame_INDEX(unsigned long index,
 }
 
 #define __INDEX(index, max, mask) \
-	__write_to_frame_INDEX(index, max, mask)
+	write_to_frame_INDEX(index, max, mask)
 
 #define __NAME(data, mask)							\
 	*frame_buf++ = mask;							\
